%define upstream_name    Sub-Talisman
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Use attributes to tag or classify subs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers) >= 0.790.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Scalar::Does) >= 0.2.0
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Sub::Talisman allows you to define "talisman" attibutes for your subs, and
provides a basic introspection API for these talismans.

Class Methods
    Sub::Talisman's methods are designed to be called as class methods.

    * 'setup_for $package, \%options'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.5.0-4pclos2017
- rebuild against updates

